gr::satellites::varlen_packet_framer_impl Class Reference

`#include <varlen_packet_framer_impl.h>`

Inheritance diagram for gr::satellites::varlen_packet_framer_impl:

## Public Member Functions

| varlen_packet_framer_impl (const std::string &packet_key, int length_field_size, endianness_t endianness, bool use_golay, const std::vector< uint8_t > sync_word)
| ~varlen_packet_framer_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::satellites::varlen_packet_framer
typedef std::shared_ptr< varlen_packet_framer > | sptr
Static Public Member Functions inherited from gr::satellites::varlen_packet_framer
static sptr | make (const std::string &packet_key, int length_field_size, endianness_t endianness, bool use_golay, const std::vector< uint8_t > sync_word)

## Constructor & Destructor Documentation

## varlen_packet_framer_impl()

gr::satellites::varlen_packet_framer_impl::varlen_packet_framer_impl | ( | const std::string & | packet_key,
|  | int | length_field_size,
|  | endianness_t | endianness,
|  | bool | use_golay,
|  | const std::vector< uint8_t > | sync_word )

## ~varlen_packet_framer_impl()

gr::satellites::varlen_packet_framer_impl::~varlen_packet_framer_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::satellites::varlen_packet_framer_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::satellites::varlen_packet_framer_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- varlen_packet_framer_impl.h